Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5116)
@@ -1213,5 +1213,5 @@
     source_tr = 0.
 
-    if (debutphy) then
+    if (debutphy) THEN
 #ifdef IOPHYS_DUST
          CALL iophys_ini(pdtphys)
@@ -1230,5 +1230,5 @@
          IF(.NOT.tracers(iq)%isInPhysics) CYCLE
          itr = itr+1
-         write(str2,'(i2.2)') itrr
+         WRITE(str2,'(i2.2)') itrr
          CALL iophys_ecrit('TRA'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -1394,13 +1394,13 @@
       enddo
       ! check consistency with dust emission scheme:
-      if (ok_chimeredust) then
-        if (.not.(id_scdu>0 .and. id_codu>0 .and. id_fine>0)) then
+      if (ok_chimeredust) THEN
+        if (.not.(id_scdu>0 .and. id_codu>0 .and. id_fine>0)) THEN
           CALL abort_gcm('phytracr_mod', 'pb in ok_chimdust 0', 1)
         endif
       else
-        if (id_scdu>0) then
+        if (id_scdu>0) THEN
           CALL abort_gcm('phytracr_mod', 'pb in ok_chimdust 1 SCDU', 1)
         endif
-        if ((id_codu <= 0) .or. (id_fine<=0)) then
+        if ((id_codu <= 0) .or. (id_fine<=0)) THEN
           CALL abort_gcm('phytracr_mod', 'pb in ok_chimdust 1', 1)
         endif
@@ -1418,43 +1418,43 @@
     !---fraction of tracer that is convected (Tiedke)
     xconv(:) = 0.
-    if(id_prec>0)  xconv(id_prec) = 0.8
-    if(id_fine>0)  xconv(id_fine) = 0.5
-    if(id_coss>0)  xconv(id_coss) = 0.5
-    if(id_codu>0)  xconv(id_codu) = 0.6
-    if(id_scdu>0)  xconv(id_scdu) = 0.6  !!JE fix
+    IF(id_prec>0)  xconv(id_prec) = 0.8
+    IF(id_fine>0)  xconv(id_fine) = 0.5
+    IF(id_coss>0)  xconv(id_coss) = 0.5
+    IF(id_codu>0)  xconv(id_codu) = 0.6
+    IF(id_scdu>0)  xconv(id_scdu) = 0.6  !!JE fix
 
     masse(:) = 1.
-    if(id_prec>0)  masse(id_prec) = 32.
-    if(id_fine>0)  masse(id_fine) = 6.02e23
-    if(id_coss>0)  masse(id_coss) = 6.02e23
-    if(id_codu>0)  masse(id_codu) = 6.02e23
-    if(id_scdu>0)  masse(id_scdu) = 6.02e23
+    IF(id_prec>0)  masse(id_prec) = 32.
+    IF(id_fine>0)  masse(id_fine) = 6.02e23
+    IF(id_coss>0)  masse(id_coss) = 6.02e23
+    IF(id_codu>0)  masse(id_codu) = 6.02e23
+    IF(id_scdu>0)  masse(id_scdu) = 6.02e23
 
     henry(:) = 0.
-    if(id_prec>0)  henry(id_prec) = 1.4
-    if(id_fine>0)  henry(id_fine) = 0.0
-    if(id_coss>0)  henry(id_coss) = 0.0
-    if(id_codu>0)  henry(id_codu) = 0.0
-    if(id_scdu>0)  henry(id_scdu) = 0.0
+    IF(id_prec>0)  henry(id_prec) = 1.4
+    IF(id_fine>0)  henry(id_fine) = 0.0
+    IF(id_coss>0)  henry(id_coss) = 0.0
+    IF(id_codu>0)  henry(id_codu) = 0.0
+    IF(id_scdu>0)  henry(id_scdu) = 0.0
     !henry= (/1.4, 0.0, 0.0, 0.0/)
     kk(:) = 0.
-    if(id_prec>0)  kk(id_prec) = 2900.
-    if(id_fine>0)  kk(id_fine) = 0.0
-    if(id_coss>0)  kk(id_coss) = 0.0
-    if(id_codu>0)  kk(id_codu) = 0.0
-    if(id_scdu>0)  kk(id_scdu) = 0.0
+    IF(id_prec>0)  kk(id_prec) = 2900.
+    IF(id_fine>0)  kk(id_fine) = 0.0
+    IF(id_coss>0)  kk(id_coss) = 0.0
+    IF(id_codu>0)  kk(id_codu) = 0.0
+    IF(id_scdu>0)  kk(id_scdu) = 0.0
     !kk = (/2900., 0., 0., 0./)
     alpha_r(:) = 0.
-    if(id_prec>0)  alpha_r(id_prec) = 0.0
-    if(id_fine>0)  alpha_r(id_fine) = 0.001
-    if(id_coss>0)  alpha_r(id_coss) = 0.001
-    if(id_codu>0)  alpha_r(id_codu) = 0.001
-    if(id_scdu>0)  alpha_r(id_scdu) = 0.001  !JE fix
+    IF(id_prec>0)  alpha_r(id_prec) = 0.0
+    IF(id_fine>0)  alpha_r(id_fine) = 0.001
+    IF(id_coss>0)  alpha_r(id_coss) = 0.001
+    IF(id_codu>0)  alpha_r(id_codu) = 0.001
+    IF(id_scdu>0)  alpha_r(id_scdu) = 0.001  !JE fix
     alpha_s(:) = 0.
-    if(id_prec>0)  alpha_s(id_prec) = 0.0
-    if(id_fine>0)  alpha_s(id_fine) = 0.01
-    if(id_coss>0)  alpha_s(id_coss) = 0.01
-    if(id_codu>0)  alpha_s(id_codu) = 0.01
-    if(id_scdu>0)  alpha_s(id_scdu) = 0.01  !JE fix
+    IF(id_prec>0)  alpha_s(id_prec) = 0.0
+    IF(id_fine>0)  alpha_s(id_fine) = 0.01
+    IF(id_coss>0)  alpha_s(id_coss) = 0.01
+    IF(id_codu>0)  alpha_s(id_codu) = 0.01
+    IF(id_scdu>0)  alpha_s(id_scdu) = 0.01  !JE fix
 
     !      alpha_r =  (/0., 0.001, 0.001, 0.001/)
@@ -1465,31 +1465,31 @@
     !vdep_oce = (/0.28, 0.28, 1.2, 1.2/)
     vdep_oce(:) = 0.
-    if(id_prec>0)  vdep_oce(id_prec) = 0.28
-    if(id_fine>0)  vdep_oce(id_fine) = 0.28
-    if(id_coss>0)  vdep_oce(id_coss) = 1.2
-    if(id_codu>0)  vdep_oce(id_codu) = 1.2
-    if(id_scdu>0)  vdep_oce(id_scdu) = 1.2
+    IF(id_prec>0)  vdep_oce(id_prec) = 0.28
+    IF(id_fine>0)  vdep_oce(id_fine) = 0.28
+    IF(id_coss>0)  vdep_oce(id_coss) = 1.2
+    IF(id_codu>0)  vdep_oce(id_codu) = 1.2
+    IF(id_scdu>0)  vdep_oce(id_scdu) = 1.2
     vdep_sic(:) = 0.
-    if(id_prec>0)  vdep_sic(id_prec) = 0.2
-    if(id_fine>0)  vdep_sic(id_fine) = 0.17
-    if(id_coss>0)  vdep_sic(id_coss) = 1.2
-    if(id_codu>0)  vdep_sic(id_codu) = 1.2
-    if(id_scdu>0)  vdep_sic(id_scdu) = 1.2
+    IF(id_prec>0)  vdep_sic(id_prec) = 0.2
+    IF(id_fine>0)  vdep_sic(id_fine) = 0.17
+    IF(id_coss>0)  vdep_sic(id_coss) = 1.2
+    IF(id_codu>0)  vdep_sic(id_codu) = 1.2
+    IF(id_scdu>0)  vdep_sic(id_scdu) = 1.2
 
     !vdep_sic = (/0.2, 0.17, 1.2, 1.2/)
     !vdep_ter = (/0.3, 0.14, 1.2, 1.2/)
     vdep_ter(:) = 0.
-    if(id_prec>0)  vdep_ter(id_prec) = 0.3
-    if(id_fine>0)  vdep_ter(id_fine) = 0.14
-    if(id_coss>0)  vdep_ter(id_coss) = 1.2
-    if(id_codu>0)  vdep_ter(id_codu) = 1.2
-    if(id_scdu>0)  vdep_ter(id_scdu) = 1.2
+    IF(id_prec>0)  vdep_ter(id_prec) = 0.3
+    IF(id_fine>0)  vdep_ter(id_fine) = 0.14
+    IF(id_coss>0)  vdep_ter(id_coss) = 1.2
+    IF(id_codu>0)  vdep_ter(id_codu) = 1.2
+    IF(id_scdu>0)  vdep_ter(id_scdu) = 1.2
 
     vdep_lic(:) = 0.
-    if(id_prec>0)  vdep_lic(id_prec) = 0.2
-    if(id_fine>0)  vdep_lic(id_fine) = 0.17
-    if(id_coss>0)  vdep_lic(id_coss) = 1.2
-    if(id_codu>0)  vdep_lic(id_codu) = 1.2
-    if(id_scdu>0)  vdep_lic(id_scdu) = 1.2
+    IF(id_prec>0)  vdep_lic(id_prec) = 0.2
+    IF(id_fine>0)  vdep_lic(id_fine) = 0.17
+    IF(id_coss>0)  vdep_lic(id_coss) = 1.2
+    IF(id_codu>0)  vdep_lic(id_codu) = 1.2
+    IF(id_scdu>0)  vdep_lic(id_scdu) = 1.2
 
 
@@ -1498,28 +1498,28 @@
     !     mais effet negligeable sur l'AOD
     ccntrAA_spla(:) = 0.
-    if(id_prec>0)  ccntrAA_spla(id_prec) = -9999.
-    if(id_fine>0)  ccntrAA_spla(id_fine) = 0.7
-    if(id_coss>0)  ccntrAA_spla(id_coss) = 1.0
-    if(id_codu>0)  ccntrAA_spla(id_codu) = 0.7
-    if(id_scdu>0)  ccntrAA_spla(id_scdu) = 0.7
+    IF(id_prec>0)  ccntrAA_spla(id_prec) = -9999.
+    IF(id_fine>0)  ccntrAA_spla(id_fine) = 0.7
+    IF(id_coss>0)  ccntrAA_spla(id_coss) = 1.0
+    IF(id_codu>0)  ccntrAA_spla(id_codu) = 0.7
+    IF(id_scdu>0)  ccntrAA_spla(id_scdu) = 0.7
 
     ccntrENV_spla(:) = 0.
-    if(id_prec>0)  ccntrENV_spla(id_prec) = -9999.
-    if(id_fine>0)  ccntrENV_spla(id_fine) = 0.7
-    if(id_coss>0)  ccntrENV_spla(id_coss) = 1.0
-    if(id_codu>0)  ccntrENV_spla(id_codu) = 0.7
-    if(id_scdu>0)  ccntrENV_spla(id_scdu) = 0.7
+    IF(id_prec>0)  ccntrENV_spla(id_prec) = -9999.
+    IF(id_fine>0)  ccntrENV_spla(id_fine) = 0.7
+    IF(id_coss>0)  ccntrENV_spla(id_coss) = 1.0
+    IF(id_codu>0)  ccntrENV_spla(id_codu) = 0.7
+    IF(id_scdu>0)  ccntrENV_spla(id_scdu) = 0.7
     ! #DFB
     coefcoli_spla(:) = 0.
-    if(id_prec>0)  coefcoli_spla(id_prec) = -9999.
-    if(id_fine>0)  coefcoli_spla(id_fine) = 0.001
-    if(id_coss>0)  coefcoli_spla(id_coss) = 0.001
-    if(id_codu>0)  coefcoli_spla(id_codu) = 0.001
-    if(id_scdu>0)  coefcoli_spla(id_scdu) = 0.001
+    IF(id_prec>0)  coefcoli_spla(id_prec) = -9999.
+    IF(id_fine>0)  coefcoli_spla(id_fine) = 0.001
+    IF(id_coss>0)  coefcoli_spla(id_coss) = 0.001
+    IF(id_codu>0)  coefcoli_spla(id_codu) = 0.001
+    IF(id_scdu>0)  coefcoli_spla(id_scdu) = 0.001
 
     !vdep_lic = (/0.2, 0.17, 1.2, 1.2/)
 
     iscm3 = .FALSE.
-    if (debutphy) then
+    if (debutphy) THEN
       !$OMP MASTER
       CALL suphel
@@ -1813,6 +1813,5 @@
     ENDIF
 
-    IF (debutphy) then
-
+    IF (debutphy) THEN
       ! AS: initialisation des indices par point de grille physique iregion_*
       ! (variables tenant de l'assimilation, a eliminer dans un 2eme temps)
@@ -2067,10 +2066,10 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('sav'//str2,1,'SOURCE','',source_tr(:,itr))
          CALL iophys_ecrit('fav'//str2,1,'SOURCE','',source_tr(:,itr))
       enddo
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRB'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -2100,5 +2099,5 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('sap'//str2,1,'SOURCE','',source_tr(:,itr))
          CALL iophys_ecrit('fap'//str2,1,'SOURCE','',source_tr(:,itr))
@@ -2197,5 +2196,5 @@
 
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('tpr'//str2,1,'SOURCE','',source_tr(:,itr))
          CALL iophys_ecrit('fpr'//str2,1,'SOURCE','',flux_tr(:,itr))
@@ -2241,5 +2240,5 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('t'//str2,1,'SOURCE','',source_tr(:,itr))
          CALL iophys_ecrit('f'//str2,1,'SOURCE','',flux_tr(:,itr))
@@ -2297,5 +2296,5 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRC'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -2337,5 +2336,5 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRD'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -2411,5 +2410,5 @@
       CALL iophys_ecrit('delp',klev,'delp','',delp)
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRE'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -2603,5 +2602,5 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRF'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -2690,5 +2689,5 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRG'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -2855,5 +2854,5 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRH'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -3054,5 +3053,5 @@
 
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -3175,5 +3174,5 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -3441,5 +3440,5 @@
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
-         write(str2,'(i2.2)') itr
+         WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
@@ -3861,54 +3860,54 @@
       !!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      if(id_prec>0)  trm01(i) = trm(i, id_prec)
-      if(id_fine>0)  trm02(i) = trm(i, id_fine)
-      if(id_coss>0)  trm03(i) = trm(i, id_coss)
-      if(id_codu>0)  trm04(i) = trm(i, id_codu)
-      if(id_scdu>0)  trm05(i) = trm(i, id_scdu)
-      if(id_prec>0)    sconc01(i) = sconc_seri(i, id_prec)
-      if(id_fine>0)    sconc02(i) = sconc_seri(i, id_fine)
-      if(id_coss>0)    sconc03(i) = sconc_seri(i, id_coss)
-      if(id_codu>0)    sconc04(i) = sconc_seri(i, id_codu)
-      if(id_scdu>0)    sconc05(i) = sconc_seri(i, id_scdu)
-      if(id_prec>0)    flux01(i) = flux_tr(i, id_prec)
-      if(id_fine>0)    flux02(i) = flux_tr(i, id_fine)
-      if(id_coss>0)    flux03(i) = flux_tr(i, id_coss)
-      if(id_codu>0)    flux04(i) = flux_tr(i, id_codu)
-      if(id_scdu>0)    flux05(i) = flux_tr(i, id_scdu)
-      if(id_prec>0)    ds01(i) = his_ds(i, id_prec)
-      if(id_fine>0)    ds02(i) = his_ds(i, id_fine)
-      if(id_coss>0)    ds03(i) = his_ds(i, id_coss)
-      if(id_codu>0)    ds04(i) = his_ds(i, id_codu)
-      if(id_scdu>0)    ds05(i) = his_ds(i, id_scdu)
-      if(id_prec>0)    dh01(i) = his_dh(i, id_prec)
-      if(id_fine>0)    dh02(i) = his_dh(i, id_fine)
-      if(id_coss>0)    dh03(i) = his_dh(i, id_coss)
-      if(id_codu>0)    dh04(i) = his_dh(i, id_codu)
-      if(id_scdu>0)    dh05(i) = his_dh(i, id_scdu)
-      if(id_prec>0)    dtrconv01(i) = dtrconv(i, id_prec)
-      if(id_fine>0)    dtrconv02(i) = dtrconv(i, id_fine)
-      if(id_coss>0)    dtrconv03(i) = dtrconv(i, id_coss)
-      if(id_codu>0)    dtrconv04(i) = dtrconv(i, id_codu)
-      if(id_scdu>0)    dtrconv05(i) = dtrconv(i, id_scdu)
-      if(id_prec>0)    dtherm01(i) = his_th(i, id_prec)
-      if(id_fine>0)    dtherm02(i) = his_th(i, id_fine)
-      if(id_coss>0)    dtherm03(i) = his_th(i, id_coss)
-      if(id_codu>0)    dtherm04(i) = his_th(i, id_codu)
-      if(id_scdu>0)    dtherm05(i) = his_th(i, id_scdu)
-      if(id_prec>0)    dhkecv01(i) = his_dhkecv(i, id_prec)
-      if(id_fine>0)    dhkecv02(i) = his_dhkecv(i, id_fine)
-      if(id_coss>0)    dhkecv03(i) = his_dhkecv(i, id_coss)
-      if(id_codu>0)    dhkecv04(i) = his_dhkecv(i, id_codu)
-      if(id_scdu>0)    dhkecv05(i) = his_dhkecv(i, id_scdu)
-      if(id_prec>0)    d_tr_ds01(i) = his_ds(i, id_prec)
-      if(id_fine>0)    d_tr_ds02(i) = his_ds(i, id_fine)
-      if(id_coss>0)    d_tr_ds03(i) = his_ds(i, id_coss)
-      if(id_codu>0)    d_tr_ds04(i) = his_ds(i, id_codu)
-      if(id_scdu>0)    d_tr_ds05(i) = his_ds(i, id_scdu)
-      if(id_prec>0)    dhkelsc01(i) = his_dhkelsc(i, id_prec)
-      if(id_fine>0)    dhkelsc02(i) = his_dhkelsc(i, id_fine)
-      if(id_coss>0)    dhkelsc03(i) = his_dhkelsc(i, id_coss)
-      if(id_codu>0)    dhkelsc04(i) = his_dhkelsc(i, id_codu)
-      if(id_scdu>0)    dhkelsc05(i) = his_dhkelsc(i, id_scdu)
+      IF(id_prec>0)  trm01(i) = trm(i, id_prec)
+      IF(id_fine>0)  trm02(i) = trm(i, id_fine)
+      IF(id_coss>0)  trm03(i) = trm(i, id_coss)
+      IF(id_codu>0)  trm04(i) = trm(i, id_codu)
+      IF(id_scdu>0)  trm05(i) = trm(i, id_scdu)
+      IF(id_prec>0)    sconc01(i) = sconc_seri(i, id_prec)
+      IF(id_fine>0)    sconc02(i) = sconc_seri(i, id_fine)
+      IF(id_coss>0)    sconc03(i) = sconc_seri(i, id_coss)
+      IF(id_codu>0)    sconc04(i) = sconc_seri(i, id_codu)
+      IF(id_scdu>0)    sconc05(i) = sconc_seri(i, id_scdu)
+      IF(id_prec>0)    flux01(i) = flux_tr(i, id_prec)
+      IF(id_fine>0)    flux02(i) = flux_tr(i, id_fine)
+      IF(id_coss>0)    flux03(i) = flux_tr(i, id_coss)
+      IF(id_codu>0)    flux04(i) = flux_tr(i, id_codu)
+      IF(id_scdu>0)    flux05(i) = flux_tr(i, id_scdu)
+      IF(id_prec>0)    ds01(i) = his_ds(i, id_prec)
+      IF(id_fine>0)    ds02(i) = his_ds(i, id_fine)
+      IF(id_coss>0)    ds03(i) = his_ds(i, id_coss)
+      IF(id_codu>0)    ds04(i) = his_ds(i, id_codu)
+      IF(id_scdu>0)    ds05(i) = his_ds(i, id_scdu)
+      IF(id_prec>0)    dh01(i) = his_dh(i, id_prec)
+      IF(id_fine>0)    dh02(i) = his_dh(i, id_fine)
+      IF(id_coss>0)    dh03(i) = his_dh(i, id_coss)
+      IF(id_codu>0)    dh04(i) = his_dh(i, id_codu)
+      IF(id_scdu>0)    dh05(i) = his_dh(i, id_scdu)
+      IF(id_prec>0)    dtrconv01(i) = dtrconv(i, id_prec)
+      IF(id_fine>0)    dtrconv02(i) = dtrconv(i, id_fine)
+      IF(id_coss>0)    dtrconv03(i) = dtrconv(i, id_coss)
+      IF(id_codu>0)    dtrconv04(i) = dtrconv(i, id_codu)
+      IF(id_scdu>0)    dtrconv05(i) = dtrconv(i, id_scdu)
+      IF(id_prec>0)    dtherm01(i) = his_th(i, id_prec)
+      IF(id_fine>0)    dtherm02(i) = his_th(i, id_fine)
+      IF(id_coss>0)    dtherm03(i) = his_th(i, id_coss)
+      IF(id_codu>0)    dtherm04(i) = his_th(i, id_codu)
+      IF(id_scdu>0)    dtherm05(i) = his_th(i, id_scdu)
+      IF(id_prec>0)    dhkecv01(i) = his_dhkecv(i, id_prec)
+      IF(id_fine>0)    dhkecv02(i) = his_dhkecv(i, id_fine)
+      IF(id_coss>0)    dhkecv03(i) = his_dhkecv(i, id_coss)
+      IF(id_codu>0)    dhkecv04(i) = his_dhkecv(i, id_codu)
+      IF(id_scdu>0)    dhkecv05(i) = his_dhkecv(i, id_scdu)
+      IF(id_prec>0)    d_tr_ds01(i) = his_ds(i, id_prec)
+      IF(id_fine>0)    d_tr_ds02(i) = his_ds(i, id_fine)
+      IF(id_coss>0)    d_tr_ds03(i) = his_ds(i, id_coss)
+      IF(id_codu>0)    d_tr_ds04(i) = his_ds(i, id_codu)
+      IF(id_scdu>0)    d_tr_ds05(i) = his_ds(i, id_scdu)
+      IF(id_prec>0)    dhkelsc01(i) = his_dhkelsc(i, id_prec)
+      IF(id_fine>0)    dhkelsc02(i) = his_dhkelsc(i, id_fine)
+      IF(id_coss>0)    dhkelsc03(i) = his_dhkelsc(i, id_coss)
+      IF(id_codu>0)    dhkelsc04(i) = his_dhkelsc(i, id_codu)
+      IF(id_scdu>0)    dhkelsc05(i) = his_dhkelsc(i, id_scdu)
       u10m_ss(i) = u10m_ec(i)
       v10m_ss(i) = v10m_ec(i)
@@ -3985,44 +3984,44 @@
         DO k = 1, klev
 
-          if(id_prec>0)        d_tr_cv01(i, k) = d_tr_cv_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_cv02(i, k) = d_tr_cv_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_cv03(i, k) = d_tr_cv_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_cv04(i, k) = d_tr_cv_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_cv05(i, k) = d_tr_cv_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_trsp01(i, k) = d_tr_trsp_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_trsp02(i, k) = d_tr_trsp_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_trsp03(i, k) = d_tr_trsp_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_trsp04(i, k) = d_tr_trsp_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_trsp05(i, k) = d_tr_trsp_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_sscav01(i, k) = d_tr_sscav_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_sscav02(i, k) = d_tr_sscav_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_sscav03(i, k) = d_tr_sscav_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_sscav04(i, k) = d_tr_sscav_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_sscav05(i, k) = d_tr_sscav_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_sat01(i, k) = d_tr_sat_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_sat02(i, k) = d_tr_sat_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_sat03(i, k) = d_tr_sat_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_sat04(i, k) = d_tr_sat_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_sat05(i, k) = d_tr_sat_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_uscav01(i, k) = d_tr_uscav_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_uscav02(i, k) = d_tr_uscav_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_uscav03(i, k) = d_tr_uscav_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_uscav04(i, k) = d_tr_uscav_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_uscav05(i, k) = d_tr_uscav_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_insc01(i, k) = d_tr_insc_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_insc02(i, k) = d_tr_insc_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_insc03(i, k) = d_tr_insc_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_insc04(i, k) = d_tr_insc_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_insc05(i, k) = d_tr_insc_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_bcscav01(i, k) = d_tr_bcscav_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_bcscav02(i, k) = d_tr_bcscav_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_bcscav03(i, k) = d_tr_bcscav_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_bcscav04(i, k) = d_tr_bcscav_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_bcscav05(i, k) = d_tr_bcscav_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_evapls01(i, k) = d_tr_evapls_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_evapls02(i, k) = d_tr_evapls_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_evapls03(i, k) = d_tr_evapls_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_evapls04(i, k) = d_tr_evapls_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_evapls05(i, k) = d_tr_evapls_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_cv01(i, k) = d_tr_cv_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_cv02(i, k) = d_tr_cv_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_cv03(i, k) = d_tr_cv_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_cv04(i, k) = d_tr_cv_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_cv05(i, k) = d_tr_cv_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_trsp01(i, k) = d_tr_trsp_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_trsp02(i, k) = d_tr_trsp_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_trsp03(i, k) = d_tr_trsp_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_trsp04(i, k) = d_tr_trsp_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_trsp05(i, k) = d_tr_trsp_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_sscav01(i, k) = d_tr_sscav_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_sscav02(i, k) = d_tr_sscav_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_sscav03(i, k) = d_tr_sscav_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_sscav04(i, k) = d_tr_sscav_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_sscav05(i, k) = d_tr_sscav_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_sat01(i, k) = d_tr_sat_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_sat02(i, k) = d_tr_sat_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_sat03(i, k) = d_tr_sat_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_sat04(i, k) = d_tr_sat_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_sat05(i, k) = d_tr_sat_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_uscav01(i, k) = d_tr_uscav_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_uscav02(i, k) = d_tr_uscav_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_uscav03(i, k) = d_tr_uscav_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_uscav04(i, k) = d_tr_uscav_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_uscav05(i, k) = d_tr_uscav_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_insc01(i, k) = d_tr_insc_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_insc02(i, k) = d_tr_insc_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_insc03(i, k) = d_tr_insc_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_insc04(i, k) = d_tr_insc_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_insc05(i, k) = d_tr_insc_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_bcscav01(i, k) = d_tr_bcscav_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_bcscav02(i, k) = d_tr_bcscav_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_bcscav03(i, k) = d_tr_bcscav_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_bcscav04(i, k) = d_tr_bcscav_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_bcscav05(i, k) = d_tr_bcscav_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_evapls01(i, k) = d_tr_evapls_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_evapls02(i, k) = d_tr_evapls_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_evapls03(i, k) = d_tr_evapls_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_evapls04(i, k) = d_tr_evapls_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_evapls05(i, k) = d_tr_evapls_o(i, k, id_scdu)
         ENDDO
       ENDDO
@@ -4030,44 +4029,44 @@
       DO i = 1, klon
         DO k = 1, klev
-          if(id_prec>0)        d_tr_cv01(i, k) = d_tr_cv(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_cv02(i, k) = d_tr_cv(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_cv03(i, k) = d_tr_cv(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_cv04(i, k) = d_tr_cv(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_cv05(i, k) = d_tr_cv(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_trsp01(i, k) = d_tr_trsp(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_trsp02(i, k) = d_tr_trsp(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_trsp03(i, k) = d_tr_trsp(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_trsp04(i, k) = d_tr_trsp(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_trsp05(i, k) = d_tr_trsp(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_sscav01(i, k) = d_tr_sscav(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_sscav02(i, k) = d_tr_sscav(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_sscav03(i, k) = d_tr_sscav(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_sscav04(i, k) = d_tr_sscav(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_sscav05(i, k) = d_tr_sscav(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_sat01(i, k) = d_tr_sat(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_sat02(i, k) = d_tr_sat(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_sat03(i, k) = d_tr_sat(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_sat04(i, k) = d_tr_sat(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_sat05(i, k) = d_tr_sat(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_uscav01(i, k) = d_tr_uscav(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_uscav02(i, k) = d_tr_uscav(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_uscav03(i, k) = d_tr_uscav(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_uscav04(i, k) = d_tr_uscav(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_uscav05(i, k) = d_tr_uscav(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_insc01(i, k) = d_tr_insc(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_insc02(i, k) = d_tr_insc(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_insc03(i, k) = d_tr_insc(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_insc04(i, k) = d_tr_insc(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_insc05(i, k) = d_tr_insc(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_bcscav01(i, k) = d_tr_bcscav(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_bcscav02(i, k) = d_tr_bcscav(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_bcscav03(i, k) = d_tr_bcscav(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_bcscav04(i, k) = d_tr_bcscav(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_bcscav05(i, k) = d_tr_bcscav(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_evapls01(i, k) = d_tr_evapls(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_evapls02(i, k) = d_tr_evapls(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_evapls03(i, k) = d_tr_evapls(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_evapls04(i, k) = d_tr_evapls(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_evapls05(i, k) = d_tr_evapls(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_cv01(i, k) = d_tr_cv(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_cv02(i, k) = d_tr_cv(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_cv03(i, k) = d_tr_cv(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_cv04(i, k) = d_tr_cv(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_cv05(i, k) = d_tr_cv(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_trsp01(i, k) = d_tr_trsp(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_trsp02(i, k) = d_tr_trsp(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_trsp03(i, k) = d_tr_trsp(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_trsp04(i, k) = d_tr_trsp(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_trsp05(i, k) = d_tr_trsp(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_sscav01(i, k) = d_tr_sscav(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_sscav02(i, k) = d_tr_sscav(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_sscav03(i, k) = d_tr_sscav(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_sscav04(i, k) = d_tr_sscav(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_sscav05(i, k) = d_tr_sscav(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_sat01(i, k) = d_tr_sat(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_sat02(i, k) = d_tr_sat(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_sat03(i, k) = d_tr_sat(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_sat04(i, k) = d_tr_sat(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_sat05(i, k) = d_tr_sat(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_uscav01(i, k) = d_tr_uscav(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_uscav02(i, k) = d_tr_uscav(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_uscav03(i, k) = d_tr_uscav(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_uscav04(i, k) = d_tr_uscav(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_uscav05(i, k) = d_tr_uscav(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_insc01(i, k) = d_tr_insc(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_insc02(i, k) = d_tr_insc(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_insc03(i, k) = d_tr_insc(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_insc04(i, k) = d_tr_insc(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_insc05(i, k) = d_tr_insc(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_bcscav01(i, k) = d_tr_bcscav(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_bcscav02(i, k) = d_tr_bcscav(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_bcscav03(i, k) = d_tr_bcscav(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_bcscav04(i, k) = d_tr_bcscav(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_bcscav05(i, k) = d_tr_bcscav(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_evapls01(i, k) = d_tr_evapls(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_evapls02(i, k) = d_tr_evapls(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_evapls03(i, k) = d_tr_evapls(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_evapls04(i, k) = d_tr_evapls(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_evapls05(i, k) = d_tr_evapls(i, k, id_scdu) / pdtphys
         ENDDO
       ENDDO
